Subject: Re: bug#29939: HELP:enter a "ls"command, then the os connection will closed

From: Bernhard Voelker <[email-masked]>
Date: Wed, 3 Jan 2018 14:11:57 +0100

On 01/02/2018 07:25 AM, [email-masked] wrote:
>     When I enter a "ls " command at the directory "/root",the OS connection will closed.

are you sure "ls" is /usr/bin/ls?

  $ type ls
  ls is /usr/bin/ls

I.e., it could be aliased to something weird, e.g. a shell function which
calls '/usr/bin/ls' under the hood but "exit"s in certain cases:

  $ _ls() { /usr/bin/ls ${1+"$@"} | grep . || exit; }

  $ alias ls=_ls

  $ type ls
  ls is aliased to `_ls'

  $ ls
  bin
  file
  home
  ...

  $ ls ENOENT
  /usr/bin/ls: cannot access 'ENOENT': No such file or directory
  logout

Other than that, I don't see how the spawned 'ls' process could lead
to a logout of the calling shell process.

Have a nice day,
Berny